namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter12.Listing12_28
{
    using System;

    class EntityBase
    {
        public virtual void Method<T>(T t)
            where T : IComparable<T>
        {
            // ...
        }
    }

    class Order : EntityBase
    {
        public override void Method<T>(T t)
        // Nie można powtórnie dodawać ograniczeń w
        // nowych wersjach przesłanianych składowych.
        //    where T : IComparable<T>
        {
            // ...
        }
    }
}
